Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class PluginInvalidInputException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.digester3.plugins.PluginException
                  org.apache.commons.digester3.plugins.PluginInvalidInputException

All Implemented Interfaces:
  Serializable

    public class PluginInvalidInputException

extends PluginException

Thrown when an error occurs due to bad data in the file being parsed.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`PluginInvalidInputException(String msg)` Constructs a new exception with the specified detail message.
`PluginInvalidInputException(String msg, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`PluginInvalidInputException(Throwable cause)` Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class org.apache.commons.digester3.plugins.PluginException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginInvalidInputException

    public PluginInvalidInputException(Throwable cause)

  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - underlying exception that caused this to be thrown

### PluginInvalidInputException

    public PluginInvalidInputException(String msg)

  Constructs a new exception with the specified detail message.

  Parameters:
    `msg` - describes the reason this exception is being thrown.

### PluginInvalidInputException

    public PluginInvalidInputException(String msg,
                                       Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `msg` - describes the reason this exception is being thrown.
    `cause` - underlying exception that caused this to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.